var EXPORTED_SYMBOLS = ["modules"];

var modules = {
  "modules": {
    chromeId: "outwit-modules",
    generic: true
  },

  "hub": {
    name: "OutWit Hub",
    baseModule: "modules",
    regId: "outwit-hub",
    registrable: true,
    _getVersion: function(kernelVersion) {
      return kernelVersion;
    }
  },

  "sourcer": {
    name: "Email Sourcer",
    baseModule: "modules",
    registrable: true,
    _getVersion: function(kernelVersion) {
      return kernelVersion;
      // return kernelVersion.replace(/^4\.(\d+)/, "2.$1");
    }
  },

  "owselect": {
    name: "OutWit Select",
    baseModule: "modules",
    registrable: true,
    _getVersion: function(kernelVersion) {
      return kernelVersion;
    }
  },

  "docs": {
    name: "OutWit Docs",
    chromeId: "outwit-modules-docs",
    registrable: false,
    // baseModule: "docs",
    // regId: "docs",
    _getVersion: function(kernelVersion) {
      return kernelVersion;
    }
  },

  "images": {
    name: "OutWit Images",
    chromeId: "outwit-modules-images",
    registrable: false,
    // baseModule: "images",
    // regId: "images",
    _getVersion: function(kernelVersion) {
      return kernelVersion;
    }
  }

};
